using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATDocumenctReviewStatus")]
public partial class AtdocumenctReviewStatus
{
    [Key]
    public int Id { get; set; }

    [StringLength(50)]
    public string Name { get; set; } = null!;

    [InverseProperty("ReviewStatus")]
    public virtual ICollection<Atdocument> Atdocuments { get; set; } = new List<Atdocument>();
}
